| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
BodyPart Struct Referencefinal

Instance of a part of the body of the snake. More...

`#include <snake.h>`

## Public Member Functions
void | update (const unsigned new_x, const unsigned new_y, const Direction &new_direction) noexcept
| Updates the position and direction of the part.

## Public Attributes
unsigned | x
| The position on the X-axis.
unsigned | y
| The position on the Y-axis.
Direction | direction
| The current direction of the part.
Direction | prev_direction
| The previous direction of the part.
QGraphicsPixmapItem * | image

## Detailed Description

Instance of a part of the body of the snake.

## Member Data Documentation

## ◆ image

QGraphicsPixmapItem* BodyPart::image

The image which graphically represents the part

The documentation for this struct was generated from the following files:

- logdoctor/games/snake/snake.h
- logdoctor/games/snake/snake.cpp